<?php
/**
Author: Tommy - Persian Language: Pars (MyBBIran.com)
Plugin name: Userbar 
Version: 1.4 r1
Website: GFX-Core.com
*/

//define no direct access
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
//These will be used later
$plugins->add_hook("member_profile_start", "threadcount");

//plugin info
function threadcount_info()
{
return array(
   "name"    => "تعداد موضوع",
   "description" => "نمایش تعداد موضوع های کاربر در پروفایل او، فارسی سازی توسط MyBBIran.com",
   "website"  => "http://gfx-core.com",
   "author"  => "Tommy",
   "authorsite"  => "http://gfx-core.com",
   "version"  => "1.0",
   "compatibility" => "14*"
   );
}

//Activate code
function threadcount_activate()
{
	global $db;
	  
	  $group = array(
        "gid"            => "500",
        "title"          => "تعداد موضوع",
        "name"           => "threadcount",
        "description"    => "تنظیمات پلاگین تعداد موضوع",
        "disporder"      => "1",
        "isdefault"      => "0",
    );
	      $db->insert_query("settinggroups", $group);
    $gid = $db->insert_id();
	
//This setting turns the usebar on and off	
$set_threadcount = array(
		"name" => "set_threadcount",
		"title" => "تعداد موضوع",
		"description" => "نمایش تعداد موضوع ها در پروفایل روشن باشد؟",
		"optionscode" => "yesno",
		"value" => "1",
		"disporder" => "1",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $set_threadcount);
	
rebuildsettings();

	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("member_profile", '#'.preg_quote('{$lang->find_posts}</a>)</span>').'#', '{$lang->find_posts}</a>)</span><br>{$threadcount}');
}

//de-activate plugin
function threadcount_deactivate()
{
	global $db;
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name = 'threadcount'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name IN('set_threadcount')");

	rebuild_settings();
	
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("member_profile", '#'.preg_quote('<br>{$threadcount}').'#' , '',0);
}

function threadcount()
{
	
	global $db, $theme, $mybb, $thread, $threadcount, $memprofile ;

$uid = $_GET['uid'];
$uidclean = intval($uid);	
$sql = $db->simple_select("threads", "tid", "uid = '".$uidclean."'");
$thread = $db->num_rows($sql);



		if($mybb->settings['set_threadcount'] == "1")
	{		
	$threadcount = "تعداد موضوع ها: ".$thread."";
	}
}
?>